# BAPVAR-superpower-diagnostics.R
#
# Posterior diagnostics for the multi-chain, multicore model.
#
# Patrick T. Brandt
#
# 20110524 : Initial version

library(coda)

# Define a function that will compute the relevant diagnostics and
# print them out.  Need to subset the posterior, since otherwise we
# get nonsense results from coda pkg.

# Define the subset of coefficients we want to analyze, based on
# column indices for the posterior draws.

ss1 <- c(1:4, 6, 9:10, 12:20)    # VAR(1)
ss2 <- c(1:8, 10, 13:14, 16:24)  # VAR(2)
ss3 <- c(1:12, 14, 17:18, 20:28) # VAR(3)

diagnostics <- function(x, ss)
{
    tmp1 <- summary(x)
    tmp2 <- gelman.diag(x[,ss])

    return(list(tmp1,tmp2))
}


# Load the posterior samples and then check the posterior statistics
load("MVPLN-superpower-1.RData")
print(d1 <- diagnostics(x2, ss=ss1))

load("MVPLN-superpower-2.RData")
print(d2 <- diagnostics(x2, ss=ss2))

load("MVPLN-superpower-3.RData")
print(d3 <- diagnostics(x2, ss=ss2))


save(d1, d2, d3, file="BAPVAR-diagnostics.RData")

q(save="no")
