# MVPLN-VAR-monthly-posterior.R
#
# Posterior analysis for the output of the MVPLN-VAR*.R results
#
# Patrick T. Brandt
#
# 20091005 : Initial Version
# 20100713 : Revised to work on updated model specifications
# 20100820 : Revised for combined sample specification

# Load libraries
library(coda)

# Load the posterior sample
load("MVPLN-full-1.RData")

# Function to compute the summary measures for the two chains for each of the
# models.  Note that we need to subset the output since we have
# redundant entries for the symmetric covariance and the correlation
# matrix of the errors.  This will make the gelman.diag() computation
# fail because it uses a matrix decomposition that will be singular
# unless we do this subsetting.

# This is the subset for a VAR(1) model for the combined sample model

ss <- c(1:16, 33:36, 38:40, 43:44, 48:68)

diagnostics <- function(x, ss)
{
    tmp1 <- summary(x)
    tmp2 <- gelman.diag(x[,ss])

    return(list(tmp1,tmp2))
}


# Load the posterior samples and then check the model statistics
print(d1 <- diagnostics(x2, ss))

q(save="no")


