# MVPLN-VAR-monthly-DIC.R
#
# Report the DIC computed for each sample and lag specification
#
# 20100712: Initial version

library(rjags)

# Load the data from the MCMC runs
load("MVPLN-VAR-monthly-DIC.RData")

# Compute the deviances, penalties and penalized deviances and put
# them into a matrix

tmp <- matrix(0, length(out), 5)
colnames(tmp) <- c("Sample", "p", "Deviance", "Penalty",
                   "Penalized deviance")

for(i in 1:15)
{
    # Sample
    tmp[i, 1] <- out[[i]][3]$sample

    # Lag
    tmp[i, 2] <- out[[i]][2]$p

    # Deviance
    tmp[i, 3] <- sum(out[[i]][1]$dic$deviance)

    # Penalty
    tmp[i, 4] <- sum(out[[i]][1]$dic$penalty)

    # Penalized deviance
    tmp[i, 5] <- tmp[i,3] + tmp[i,4]
}


# Now sort by sample and lag lengths
fits <- tmp[order(tmp[,1], tmp[,2]),]

# Now output the results
library(xtable)
xtable(fits, digits=0)

q(save="no")
